Index: basicnet/basicnet.ent
===================================================================
--- basicnet/basicnet.ent	(revision 1b06e69e6f0f8cca5a953e860a44ee419796a59e)
+++ basicnet/basicnet.ent	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -24,8 +24,10 @@
 <!ENTITY % cvs SYSTEM "netprogs/cvs/cvs.ent">
 <!ENTITY % wget SYSTEM "netprogs/wget/wget.ent">
+<!ENTITY % portmap SYSTEM "netprogs/portmap/portmap.ent">
 %ncftp;
 %telnet;
 %cvs;
 %wget;
+%portmap;
 
 <!-- Basic Networking Utilities -->
Index: basicnet/netprogs/netprogs.xml
===================================================================
--- basicnet/netprogs/netprogs.xml	(revision 1b06e69e6f0f8cca5a953e860a44ee419796a59e)
+++ basicnet/netprogs/netprogs.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -8,4 +8,5 @@
 &cvs;
 &wget;
+&portmap;
 
 </chapter>
Index: basicnet/netprogs/portmap.xml
===================================================================
--- basicnet/netprogs/portmap.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,12 @@
+<sect1 id="portmap" xreflabel="portmap-&portmap-version;">
+<?dbhtml filename="portmap.html" dir="basicnet"?>
+<title>portmap-&portmap-version;</title>
+
+&portmap-intro;
+&portmap-inst;
+&portmap-exp;
+&portmap-config;
+&portmap-desc;
+
+</sect1>
+
Index: basicnet/netprogs/portmap/portmap-config.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-config.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap-config.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,56 @@
+<sect2>
+<title>Configuring portmap</title>
+
+<sect3><title>Config files</title>
+<para><userinput>/etc/rc.d/init.d/portmap</userinput></para>
+</sect3>
+
+<sect3><title>Create the portmap boot script</title>
+
+<para><screen><userinput>
+cat > /etc/rc.d/init.d/portmap << "EOF"</userinput>
+#!/bin/sh
+# Begin /etc/rc.d/init.d/portmap
+
+source /etc/rc.d/init.d/functions
+
+case "$1" in
+        start)
+                echo "Starting RPC Portmap"
+                loadproc /sbin/portmap
+                ;;
+
+        stop)
+                echo "Stopping Portmap"
+                killproc /sbin/portmap
+                ;;
+
+        restart)
+                $0 stop
+                /usr/bin/sleep 1
+                $0 start
+                ;;
+
+        *)
+                echo "Usage: $0 {start|stop|restart}"
+                exit 1
+        ;;
+
+esac
+
+# End /etc/rc.d/init.d/portmap
+<userinput>EOF
+chmod 754 /etc/rc.d/init.d/portmap &amp;&amp;
+cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/portmap ../rc0.d/K79portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc1.d/K79portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc2.d/K79portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc3.d/S21portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc4.d/S21portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc5.d/S21portmap &amp;&amp;
+ln -sf ../init.d/portmap ../rc6.d/K79portmap
+</userinput></screen></para>
+</sect3>
+
+</sect2>
+
Index: basicnet/netprogs/portmap/portmap-desc.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-desc.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap-desc.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,21 @@
+<sect2>
+<title>Contents</title>
+
+<para>The portmap package contains
+<userinput>portmap</userinput>,
+<userinput>pmap_dump</userinput> and
+<userinput>pmap_set</userinput>.</para>
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>portmap</title>
+<para>portmap is the rpc port mapper.</para></sect3>
+
+<sect3><title>pmap_dump</title>
+<para>pmap_dump saves the port mapping table to an ascii file.</para></sect3>
+
+<sect3><title>pmap_set</title>
+<para>pmap_set restores the port mapping table from an ascii file.</para></sect3>
+</sect2>
+
Index: basicnet/netprogs/portmap/portmap-exp.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-exp.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap-exp.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>
+patch -Np1 -i ../portmap_5-1.diff :
+</userinput>
+This patch provides added security for the portmap package,
+including only allowing portmap table changes from the local
+host.</para>
+
+</sect2>
+
Index: basicnet/netprogs/portmap/portmap-inst.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-inst.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap-inst.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Installation of portmap</title>
+
+<para>.</para>
+
+<para>Install portmap with the following commands:</para>
+
+<para><screen><userinput>
+patch -Np1 -i ../portmap_5-1.diff &amp;&amp;
+make &amp;&amp;
+make install
+</userinput></screen></para>
+
+</sect2>
+
Index: basicnet/netprogs/portmap/portmap-intro.xml
===================================================================
--- basicnet/netprogs/portmap/portmap-intro.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap-intro.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Introduction to portmap</title>
+
+<screen>
+Download location (HTTP):        <ulink url="&portmap-download-http;"/>
+Version used:                   &portmap-version;
+Package size:                   &portmap-size;
+Estimated Disk space required:  &portmap-buildsize;</screen>
+
+<para>Required patch</para>
+
+<screen>
+Download location (HTTP):        <ulink url="&portmap-patch-http;"/>
+</screen>
+
+<para>The portmap package is a more secure replacement for the
+original SUN portmap package.  Portmap is used to forward rpc
+requests to rpc daemons such as NFS and NIS.</para>
+
+</sect2>
Index: basicnet/netprogs/portmap/portmap.ent
===================================================================
--- basicnet/netprogs/portmap/portmap.ent	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
+++ basicnet/netprogs/portmap/portmap.ent	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -0,0 +1,13 @@
+<!ENTITY portmap SYSTEM "../portmap.xml">
+<!ENTITY portmap-intro SYSTEM "portmap-intro.xml">
+<!ENTITY portmap-inst SYSTEM "portmap-inst.xml">
+<!ENTITY portmap-exp SYSTEM "portmap-exp.xml">
+<!ENTITY portmap-desc SYSTEM "portmap-desc.xml">
+<!ENTITY portmap-config SYSTEM "portmap-config.xml">
+<!ENTITY portmap-buildsize "250 KB">
+<!ENTITY portmap-version "5">
+
+<!ENTITY portmap-download-http
+"http://files.ichilton.co.uk/nfs/portmap_5.orig.tar.gz">
+<!ENTITY portmap-patch-http "http://files.ichilton.co.uk/nfs/portmap_5-1.diff.gz">
+<!ENTITY portmap-size "20 KB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1b06e69e6f0f8cca5a953e860a44ee419796a59e)
+++ introduction/welcome/changelog.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -11,5 +11,8 @@
 <itemizedlist>
 
-<listitem><para>September 8th, 2002 [larr]: library-config.xml: changed
+<listitem><para>September 8th, 2002 [larry]: Basicnet: Added portmap-5
+submitted by Billy</para></listitem>
+
+<listitem><para>September 8th, 2002 [larry]: library-config.xml: changed
 userinput to filename in the appropriate places per conventions
 page.</para></listitem>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 1b06e69e6f0f8cca5a953e860a44ee419796a59e)
+++ introduction/welcome/credits.xml	(revision 9c6580c9c022d085fffa76428ae594d9458ceddf)
@@ -94,5 +94,5 @@
 
 <listitem><para>bind, cvs server, emacs, exim, leafnode, lesstif, libfam, pine,
-qmail, qpopper, PostgreSQL, Samba, sendmail, slrn, tex and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
+qmail, qpopper, portmap, PostgreSQL, Samba, sendmail, slrn, tex and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
 
 <listitem><para>fetchmail and wvdial: <emphasis>Paul
